import AbstractIssue from './abstract-issue.js';
export default class FieldIssue extends AbstractIssue {
    entityName;
    fieldName;
    constructor(args) {
        super(args);
        if (!args.fieldName || !args.entityName) {
            throw new Error("A field name and its entity's name must be passed.");
        }
        this.entityName = args.entityName;
        this.fieldName = args.fieldName;
    }
}
